Afermer rendermanager

Qt QML GUI with OpenGL.
edwardtwiss
Posts: 7
Joined: Sat May 27, 2017 9:56 pm

Re: Afermer rendermanager

Post by edwardtwiss »

Hi Sergiy,
I have tried running this exe with CGRU 2.2.2 and get the following error:

Code: Select all

c:\Dev\cgru\afanasy\bin\afermer.exe
Version Of QT:  5.7.0
libpng warning: iCCP: known incorrect sRGB profile
  File "c:\Dev\cgru\python\lib\site.py", line 176
    file=sys.stderr)
        ^
SyntaxError: invalid syntax
It looks like it is trying to throw an exception but is unable to print the details perhaps.
I'm running it on Windows 10 Pro x64.

Thanks,
Edward
User avatar
timurhai
Site Admin
Posts: 675
Joined: Sun Jan 15, 2017 8:40 pm
Location: Russia, Korolev
Contact:

Re: Afermer rendermanager

Post by timurhai »

2.2.2 Windows release contains afermer.exe?
Or you build it yourself?
Timur Hairulin
CGRU 3.1.0, Ubuntu 18.04 LTS, MS Windows 10 (clients only).
zaren
Posts: 19
Joined: Thu Jan 26, 2017 3:13 pm

Re: Afermer rendermanager

Post by zaren »

Hi Timur,
I build it myself, I'm going to include it in relsease

Hi, Edward,
It happens because I compiled it against python2.7 library.
Morrow I will compile boost and afermer against afansy python3

Cheers,
Sergiy
edwardtwiss
Posts: 7
Joined: Sat May 27, 2017 9:56 pm

Re: Afermer rendermanager

Post by edwardtwiss »

Thanks Sergiy!
User avatar
timurhai
Site Admin
Posts: 675
Joined: Sun Jan 15, 2017 8:40 pm
Location: Russia, Korolev
Contact:

Re: Afermer rendermanager

Post by timurhai »

btw

CGRU windows release build against Qt-5.8.0 and Python-3.4.4.
Also it contains their libs. ( http://cgru.info/downloads )

If you are able to compile with this versions we can just put afermer.exe into 2.2.2 windows release archive.
Timur Hairulin
CGRU 3.1.0, Ubuntu 18.04 LTS, MS Windows 10 (clients only).
bazarus
Posts: 15
Joined: Mon Jun 19, 2017 2:34 pm

Re: Afermer rendermanager

Post by bazarus »

I can't get it work. I try to start it with windows client (afanasy server 2.2.2 on Ubuntu 16) and i constantly get this error:

AFERROR: Msg::checkValidness: Version mismatch: Recieved(56) != Library(57)

And there is no jobs.
Attachments
2017-06-29 13_54_03-No Jobs.png
2017-06-29 13_54_03-No Jobs.png (127.9 KiB) Viewed 6476 times
Afanasy 2.2.3 . Server - Ubuntu 16.04.3 LTS. Clients - Windows 7 SP1
User avatar
timurhai
Site Admin
Posts: 675
Joined: Sun Jan 15, 2017 8:40 pm
Location: Russia, Korolev
Contact:

Re: Afermer rendermanager

Post by timurhai »

There is 2.3.0 version in GitHub master branch, which is non-compatible with 2.2.2.
Timur Hairulin
CGRU 3.1.0, Ubuntu 18.04 LTS, MS Windows 10 (clients only).
zaren
Posts: 19
Joined: Thu Jan 26, 2017 3:13 pm

Re: Afermer rendermanager

Post by zaren »

Hello!

It was compiled for afanasy server 2.3.0. Sorry =)
I'm going to compile against 2.2.2. Shortly it will be presented.

Thanks,
Sergiy
zaren
Posts: 19
Joined: Thu Jan 26, 2017 3:13 pm

Re: Afermer rendermanager

Post by zaren »

Hello!

This link for compiled afermer.exe Win7x64 for python2.7 for afserver 2.2.2 and Qt-5.7 but statically linking.
Bazarus, it can be for you =)
https://goo.gl/gQGW6M

Right now I struggle with python-3.4 and Qt-5.8 under windows. As soon as possible I will build it and share.

Thanks,
Sergiy
Last edited by zaren on Tue Jul 04, 2017 9:02 am, edited 1 time in total.
bazarus
Posts: 15
Joined: Mon Jun 19, 2017 2:34 pm

Re: Afermer rendermanager

Post by bazarus »

Hello!
Thanks. Some svg icons missing. But work well with python2.7. Looks like its kinda limited now =)
Attachments
2017-07-03 20_36_26-96% - Write1  __  AFermer  __  Render Manager.png
2017-07-03 20_36_26-96% - Write1 __ AFermer __ Render Manager.png (151.28 KiB) Viewed 6421 times
Afanasy 2.2.3 . Server - Ubuntu 16.04.3 LTS. Clients - Windows 7 SP1
Post Reply